gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.Invisible

Contents

- Exported types
- Methods
  - getScreen
  - new
  - newForScreen
  - setScreen
- Properties
  - screen

Description

The `Invisible` widget is used internally in GTK+, and is probably not very useful for application developers.

It is used for reliable pointer grabs and selection handling in the code for drag-and-drop.

Synopsis

- newtype Invisible = Invisible (ManagedPtr Invisible)
- class (GObject o, IsDescendantOf Invisible o) => IsInvisible o
- toInvisible :: (MonadIO m, IsInvisible o) => o -> m Invisible
- invisibleGetScreen :: (HasCallStack, MonadIO m, IsInvisible a) => a -> m Screen
- invisibleNew :: (HasCallStack, MonadIO m) => m Invisible
- invisibleNewForScreen :: (HasCallStack, MonadIO m, IsScreen a) => a -> m Invisible
- invisibleSetScreen :: (HasCallStack, MonadIO m, IsInvisible a, IsScreen b) => a -> b -> m ()
- constructInvisibleScreen :: (IsInvisible o, MonadIO m, IsScreen a) => a -> m (GValueConstruct o)
- getInvisibleScreen :: (MonadIO m, IsInvisible o) => o -> m Screen
- setInvisibleScreen :: (MonadIO m, IsInvisible o, IsScreen a) => o -> a -> m ()

# Exported types

newtype Invisible Source #

Memory-managed wrapper type.

Constructors

Invisible (ManagedPtr Invisible) |

#### Instances

Instances details

Eq Invisible Source # |
Instance details Defined in GI.Gtk.Objects.Invisible Methods (==) :: Invisible -> Invisible -> Bool Source # (/=) :: Invisible -> Invisible -> Bool Source #
GObject Invisible Source # |
Instance details Defined in GI.Gtk.Objects.Invisible
ManagedPtrNewtype Invisible Source # |
Instance details Defined in GI.Gtk.Objects.Invisible Methods toManagedPtr :: Invisible -> ManagedPtr Invisible Source #
TypedObject Invisible Source # |
Instance details Defined in GI.Gtk.Objects.Invisible Methods glibType :: IO GType Source #
HasParentTypes Invisible Source # |
Instance details Defined in GI.Gtk.Objects.Invisible
IsGValue (Maybe Invisible) Source # | Convert `Invisible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.Invisible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe Invisible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe Invisible) Source #
type ParentTypes Invisible Source # |
Instance details Defined in GI.Gtk.Objects.Invisible type ParentTypes Invisible = '[Widget, Object, ImplementorIface, Buildable]

class (GObject o, IsDescendantOf Invisible o) => IsInvisible o Source #

Type class for types which can be safely cast to `Invisible`, for instance with `toInvisible`.

#### Instances

Instances details

(GObject o, IsDescendantOf Invisible o) => IsInvisible o Source # |
Instance details Defined in GI.Gtk.Objects.Invisible

toInvisible :: (MonadIO m, IsInvisible o) => o -> m Invisible Source #

Cast to `Invisible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

activate, addAccelerator, addChild, addDeviceEvents, addEvents, addMnemonicLabel, addTickCallback, bindProperty, bindPropertyFull, canActivateAccel, childFocus, childNotify, classPath, computeExpand, constructChild, createPangoContext, createPangoLayout, customFinished, customTagEnd, customTagStart, destroy, destroyed, deviceIsShadowed, dragBegin, dragBeginWithCoordinates, dragCheckThreshold, dragDestAddImageTargets, dragDestAddTextTargets, dragDestAddUriTargets, dragDestFindTarget, dragDestGetTargetList, dragDestGetTrackMotion, dragDestSet, dragDestSetProxy, dragDestSetTargetList, dragDestSetTrackMotion, dragDestUnset, dragGetData, dragHighlight, dragSourceAddImageTargets, dragSourceAddTextTargets, dragSourceAddUriTargets, dragSourceGetTargetList, dragSourceSet, dragSourceSetIconGicon, dragSourceSetIconName, dragSourceSetIconPixbuf, dragSourceSetIconStock, dragSourceSetTargetList, dragSourceUnset, dragUnhighlight, draw, ensureStyle, errorBell, event, forceFloating, freezeChildNotify, freezeNotify, getv, grabAdd, grabDefault, grabFocus, grabRemove, hasDefault, hasFocus, hasGrab, hasRcStyle, hasScreen, hasVisibleFocus, hide, hideOnDelete, inDestruction, initTemplate, inputShapeCombineRegion, insertActionGroup, intersect, isAncestor, isComposited, isDrawable, isFloating, isFocus, isSensitive, isToplevel, isVisible, keynavFailed, listAccelClosures, listActionPrefixes, listMnemonicLabels, map, mnemonicActivate, modifyBase, modifyBg, modifyCursor, modifyFg, modifyFont, modifyStyle, modifyText, notify, notifyByPspec, overrideBackgroundColor, overrideColor, overrideCursor, overrideFont, overrideSymbolicColor, parserFinished, path, queueAllocate, queueComputeExpand, queueDraw, queueDrawArea, queueDrawRegion, queueResize, queueResizeNoRedraw, realize, ref, refSink, regionIntersect, registerWindow, removeAccelerator, removeMnemonicLabel, removeTickCallback, renderIcon, renderIconPixbuf, reparent, resetRcStyles, resetStyle, runDispose, sendExpose, sendFocusChange, shapeCombineRegion, show, showAll, showNow, sizeAllocate, sizeAllocateWithBaseline, sizeRequest, stealData, stealQdata, styleAttach, styleGetProperty, thawChildNotify, thawNotify, translateCoordinates, triggerTooltipQuery, unmap, unparent, unrealize, unref, unregisterWindow, unsetStateFlags, watchClosure.

#### Getters

getAccessible, getActionGroup, getAllocatedBaseline, getAllocatedHeight, getAllocatedSize, getAllocatedWidth, getAllocation, getAncestor, getAppPaintable, getCanDefault, getCanFocus, getChildRequisition, getChildVisible, getClip, getClipboard, getCompositeName, getData, getDeviceEnabled, getDeviceEvents, getDirection, getDisplay, getDoubleBuffered, getEvents, getFocusOnClick, getFontMap, getFontOptions, getFrameClock, getHalign, getHasTooltip, getHasWindow, getHexpand, getHexpandSet, getInternalChild, getMapped, getMarginBottom, getMarginEnd, getMarginLeft, getMarginRight, getMarginStart, getMarginTop, getModifierMask, getModifierStyle, getName, getNoShowAll, getOpacity, getPangoContext, getParent, getParentWindow, getPath, getPointer, getPreferredHeight, getPreferredHeightAndBaselineForWidth, getPreferredHeightForWidth, getPreferredSize, getPreferredWidth, getPreferredWidthForHeight, getProperty, getQdata, getRealized, getReceivesDefault, getRequestMode, getRequisition, getRootWindow, getScaleFactor, getScreen, getSensitive, getSettings, getSizeRequest, getState, getStateFlags, getStyle, getStyleContext, getSupportMultidevice, getTemplateChild, getTooltipMarkup, getTooltipText, getTooltipWindow, getToplevel, getValign, getValignWithBaseline, getVexpand, getVexpandSet, getVisible, getVisual, getWindow.

#### Setters

setAccelPath, setAllocation, setAppPaintable, setBuildableProperty, setCanDefault, setCanFocus, setChildVisible, setClip, setCompositeName, setData, setDataFull, setDeviceEnabled, setDeviceEvents, setDirection, setDoubleBuffered, setEvents, setFocusOnClick, setFontMap, setFontOptions, setHalign, setHasTooltip, setHasWindow, setHexpand, setHexpandSet, setMapped, setMarginBottom, setMarginEnd, setMarginLeft, setMarginRight, setMarginStart, setMarginTop, setName, setNoShowAll, setOpacity, setParent, setParentWindow, setProperty, setRealized, setReceivesDefault, setRedrawOnAllocate, setScreen, setSensitive, setSizeRequest, setState, setStateFlags, setStyle, setSupportMultidevice, setTooltipMarkup, setTooltipText, setTooltipWindow, setValign, setVexpand, setVexpandSet, setVisible, setVisual, setWindow.

## getScreen

invisibleGetScreen Source #

Arguments

:: (HasCallStack, MonadIO m, IsInvisible a) |
=> a | `invisible`: a `Invisible`.
-> m Screen | Returns: the associated `Screen`.

Returns the `Screen` object associated with `invisible`

Since: 2.2

## new

invisibleNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m Invisible | Returns: a new `Invisible`.

Creates a new `Invisible`.

## newForScreen

invisibleNewForScreen Source #

Arguments

:: (HasCallStack, MonadIO m, IsScreen a) |
=> a | `screen`: a `Screen` which identifies on which the new `Invisible` will be created.
-> m Invisible | Returns: a newly created `Invisible` object

Creates a new `Invisible` object for a specified screen

Since: 2.2

## setScreen

invisibleSetScreen Source #

Arguments

:: (HasCallStack, MonadIO m, IsInvisible a, IsScreen b) |
=> a | `invisible`: a `Invisible`.
-> b | `screen`: a `Screen`.
-> m () |

Sets the `Screen` where the `Invisible` object will be displayed.

Since: 2.2

# Properties

## screen

No description available in the introspection data.

constructInvisibleScreen :: (IsInvisible o, MonadIO m, IsScreen a) => a -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`screen`” property. This is rarely needed directly, but it is used by `new`.

getInvisibleScreen :: (MonadIO m, IsInvisible o) => o -> m Screen Source #

Get the value of the “`screen`” property. When overloading is enabled, this is equivalent to

    get invisible #screen

setInvisibleScreen :: (MonadIO m, IsInvisible o, IsScreen a) => o -> a -> m () Source #

Set the value of the “`screen`” property. When overloading is enabled, this is equivalent to

    set invisible [ #screen := value ]